library hop_runner;

import 'dart:async';
import 'dart:io';
import 'dart:json';
import 'package:hop/hop.dart';
import 'package:hop/hop_tasks.dart';
import 'package:webui_tasks/webui_tasks.dart';

void main() {
  
  String entryPointPath = "web/simple.html";
  
  // Call DWC and dart2js compilers.
  ChainedTask w2d2js = createWebui2JsTask(entryPointPath);
  addTask("w2d2js", w2d2js);
  
  ChainedTask w2d2d = createWebui2MiniDartTask(entryPointPath);
  addTask("w2d2d", w2d2d);
  
  Task deploy = createDeployTask("output/simple.html","web/app.json");
  addTask("deploy", deploy);
  
  runHop();
}